Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRStyle

All Superinterfaces:
  java.lang.Cloneable, JRBoxContainer, JRCloneable, JRPenContainer, JRStyleContainer

All Known Subinterfaces:
  JRConditionalStyle

All Known Implementing Classes:
  JRBaseConditionalStyle, JRBaseStyle, JRDesignConditionalStyle, JRDesignStyle

    public interface JRStyle

extends JRStyleContainer, JRBoxContainer, JRPenContainer, JRCloneable

Version:
  $Id: JRStyle.java 3504 2010-03-04 12:41:19Z shertage $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_EVALUATION_TIME_ENABLED` A flag the determines whether the style of an element is evaluated at the element evaluation time, or at the time the band on which the element is placed is rendered.

Method Summary
`java.awt.Color` | `getBackcolor()`
`java.lang.Byte` | `getBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getBottomPadding()` Deprecated. Replaced by `getLineBox()`
`JRConditionalStyle[]` | `getConditionalStyles()`
`java.lang.Byte` | `getFill()` Deprecated. Replaced by `getFillValue()`.
`FillEnum` | `getFillValue()` Indicates the fill type used for this element.
`java.lang.String` | `getFontName()`
`java.lang.Integer` | `getFontSize()`
`java.awt.Color` | `getForecolor()`
`java.lang.Byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the horizontal alignment of the element.
`java.lang.Byte` | `getLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getLeftPadding()` Deprecated. Replaced by `getLineBox()`
`JRLineBox` | `getLineBox()`
`JRPen` | `getLinePen()`
`java.lang.Byte` | `getLineSpacing()` Deprecated. Replaced by `getLineSpacingValue()`.
`LineSpacingEnum` | `getLineSpacingValue()` Gets the line spacing.
`java.lang.String` | `getMarkup()` Returns the markup language used to format the text.
`java.lang.Byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.String` | `getName()` Gets the style unique name.
`java.awt.Color` | `getOwnBackcolor()`
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnFill()` Deprecated. Replaced by `getOwnFillValue()`.
`FillEnum` | `getOwnFillValue()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.awt.Color` | `getOwnForecolor()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnLineSpacing()` Deprecated. Replaced by `getOwnLineSpacingValue()`.
`LineSpacingEnum` | `getOwnLineSpacingValue()`
`java.lang.String` | `getOwnMarkup()`
`java.lang.Byte` | `getOwnMode()` Deprecated. Replaced by `getOwnModeValue()`.
`ModeEnum` | `getOwnModeValue()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.String` | `getOwnPattern()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Byte` | `getOwnPen()` Deprecated. Replaced by `getLinePen()`
`java.lang.Integer` | `getOwnRadius()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnRotation()` Deprecated. Replaced by `getOwnRotationValue()`.
`RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
`java.lang.Byte` | `getOwnScaleImage()` Deprecated. Replaced by `getOwnScaleImageValue()`.
`ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`java.lang.Integer` | `getPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.String` | `getPattern()` Gets the pattern used for this text field.
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`java.lang.Byte` | `getPen()` Deprecated. Replaced by `getLinePen()`
`java.lang.Integer` | `getRadius()` Indicates the corner radius for rectangles with round corners.
`java.lang.Byte` | `getRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getRotation()` Deprecated. Replaced by `getRotationValue()`.
`RotationEnum` | `getRotationValue()` Gets the text rotation.
`java.lang.Byte` | `getScaleImage()` Deprecated. Replaced by `getScaleImageValue()`.
`ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
`java.lang.Byte` | `getTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getTopPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the vertical alignment of the element.
`java.lang.Boolean` | `isBlankWhenNull()`
`java.lang.Boolean` | `isBold()`
`boolean` | `isDefault()` Gets a flag that specifies if this is the default report style.
`java.lang.Boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBlankWhenNull()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnStyledText()` Deprecated. Replaced by `getOwnMarkup()`
`java.lang.Boolean` | `isOwnUnderline()`
`java.lang.Boolean` | `isPdfEmbedded()`
`java.lang.Boolean` | `isStrikeThrough()`
`java.lang.Boolean` | `isStyledText()` Deprecated. Replaced by `getMarkup()`
`java.lang.Boolean` | `isUnderline()`
`void` | `setBackcolor(java.awt.Color backcolor)`
`void` | `setBlankWhenNull(boolean isBlankWhenNull)`
`void` | `setBlankWhenNull(java.lang.Boolean isBlankWhenNull)`
`void` | `setBold(boolean bold)`
`void` | `setBold(java.lang.Boolean bold)`
`void` | `setBorder(byte border)`
`void` | `setBorder(java.lang.Byte border)`
`void` | `setBorderColor(java.awt.Color borderColor)`
`void` | `setBottomBorder(byte bottomBorder)`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)`
`void` | `setBottomPadding(int bottomPadding)`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)`
`void` | `setFill(byte fill)` Deprecated. Replaced by `setFill(FillEnum)`
`void` | `setFill(java.lang.Byte fill)` Deprecated. Replaced by `setFill(FillEnum)`
`void` | `setFill(FillEnum fill)`
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)`
`void` | `setForecolor(java.awt.Color forecolor)`
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)`
`void` | `setItalic(boolean italic)`
`void` | `setItalic(java.lang.Boolean italic)`
`void` | `setLeftBorder(byte leftBorder)`
`void` | `setLeftBorder(java.lang.Byte leftBorder)`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)`
`void` | `setLeftPadding(int leftPadding)`
`void` | `setLeftPadding(java.lang.Integer leftPadding)`
`void` | `setLineSpacing(byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`
`void` | `setLineSpacing(java.lang.Byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`
`void` | `setLineSpacing(LineSpacingEnum lineSpacing)`
`void` | `setMarkup(java.lang.String markup)`
`void` | `setMode(byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`
`void` | `setMode(java.lang.Byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`
`void` | `setMode(ModeEnum mode)`
`void` | `setPadding(int padding)`
`void` | `setPadding(java.lang.Integer padding)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setPdfEmbedded(boolean pdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean pdfEmbedded)`
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setPen(byte pen)` Deprecated. Replaced by `getLinePen()`
`void` | `setPen(java.lang.Byte pen)` Deprecated. Replaced by `getLinePen()`
`void` | `setRadius(int radius)`
`void` | `setRadius(java.lang.Integer radius)`
`void` | `setRightBorder(byte rightBorder)`
`void` | `setRightBorder(java.lang.Byte rightBorder)`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)`
`void` | `setRightPadding(int rightPadding)`
`void` | `setRightPadding(java.lang.Integer rightPadding)`
`void` | `setRotation(byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(java.lang.Byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(RotationEnum rotation)`
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImage)`
`void` | `setStrikeThrough(boolean strikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean strikeThrough)`
`void` | `setStyledText(boolean styledText)` Deprecated. Replaced by `setMarkup(String)`
`void` | `setStyledText(java.lang.Boolean styledText)` Deprecated. Replaced by `setMarkup(String)`
`void` | `setTopBorder(byte topBorder)`
`void` | `setTopBorder(java.lang.Byte topBorder)`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)`
`void` | `setTopPadding(int topPadding)`
`void` | `setTopPadding(java.lang.Integer topPadding)`
`void` | `setUnderline(boolean underline)`
`void` | `setUnderline(java.lang.Boolean underline)`
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### PROPERTY_EVALUATION_TIME_ENABLED

    static final java.lang.String PROPERTY_EVALUATION_TIME_ENABLED

  A flag the determines whether the style of an element is evaluated at the element evaluation time, or at the time the band on which the element is placed is rendered.

  This applies to report elements that can have delayed evaluations times (such as text fields and images). When this flag is set to `true`, conditional style expressions of the style that is associated with the element are evaluated at the moment the element is set to evaluate, and the resulting style to the generated print element.

  By default, this flag is set to `false`. The property can be set globally, at report level and at element level.

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Gets the style unique name.

### isDefault

    boolean isDefault()

  Gets a flag that specifies if this is the default report style.

### getMode

    java.lang.Byte getMode()

  Deprecated. Replaced by `getModeValue()`.

### getOwnMode

    java.lang.Byte getOwnMode()

  Deprecated. Replaced by `getOwnModeValue()`.

### getModeValue

    ModeEnum getModeValue()

  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

### getOwnModeValue

    ModeEnum getOwnModeValue()

### getForecolor

    java.awt.Color getForecolor()

### getOwnForecolor

    java.awt.Color getOwnForecolor()

### getBackcolor

    java.awt.Color getBackcolor()

### getOwnBackcolor

    java.awt.Color getOwnBackcolor()

### getLinePen

    JRPen getLinePen()

### getPen

    java.lang.Byte getPen()

  Deprecated. Replaced by `getLinePen()`

  Indicates the pen type used for this element.

  Returns:
    one of the pen constants in this class

### getOwnPen

    java.lang.Byte getOwnPen()

  Deprecated. Replaced by `getLinePen()`

### getFill

    java.lang.Byte getFill()

  Deprecated. Replaced by `getFillValue()`.

### getOwnFill

    java.lang.Byte getOwnFill()

  Deprecated. Replaced by `getOwnFillValue()`.

### getFillValue

    FillEnum getFillValue()

  Indicates the fill type used for this element.

  Returns:
    one of the fill constants in `FillEnum`.

### getOwnFillValue

    FillEnum getOwnFillValue()

### getRadius

    java.lang.Integer getRadius()

  Indicates the corner radius for rectangles with round corners. The default is 0.

### getOwnRadius

    java.lang.Integer getOwnRadius()

### getScaleImage

    java.lang.Byte getScaleImage()

  Deprecated. Replaced by `getScaleImageValue()`.

### getOwnScaleImage

    java.lang.Byte getOwnScaleImage()

  Deprecated. Replaced by `getOwnScaleImageValue()`.

### getScaleImageValue

    ScaleImageEnum getScaleImageValue()

  Gets the image scale type.

  Returns:
    one of the scale types defined in `ScaleImageEnum`

### getOwnScaleImageValue

    ScaleImageEnum getOwnScaleImageValue()

  Gets the image own scale type.

  Returns:
    one of the scale types defined in `ScaleImageEnum`

### getHorizontalAlignment

    java.lang.Byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

### getOwnHorizontalAlignment

    java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.

### getHorizontalAlignmentValue

    HorizontalAlignEnum getHorizontalAlignmentValue()

  Gets the horizontal alignment of the element.

  Returns:
    one of the alignment values defined in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    HorizontalAlignEnum getOwnHorizontalAlignmentValue()

### getVerticalAlignment

    java.lang.Byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

### getOwnVerticalAlignment

    java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

### getVerticalAlignmentValue

    VerticalAlignEnum getVerticalAlignmentValue()

  Gets the vertical alignment of the element.

  Returns:
    one of the alignment values defined in `JRAlignment`

### getOwnVerticalAlignmentValue

    VerticalAlignEnum getOwnVerticalAlignmentValue()

### getLineBox

    JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getBorder

    java.lang.Byte getBorder()

  Deprecated. Replaced by `getLineBox()`

### getOwnBorder

    java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getLineBox()`

### getBorderColor

    java.awt.Color getBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getOwnBorderColor

    java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getPadding

    java.lang.Integer getPadding()

  Deprecated. Replaced by `getLineBox()`

### getOwnPadding

    java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getLineBox()`

### getTopBorder

    java.lang.Byte getTopBorder()

  Deprecated. Replaced by `getLineBox()`

### getOwnTopBorder

    java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getLineBox()`

### getTopBorderColor

    java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getOwnTopBorderColor

    java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getTopPadding

    java.lang.Integer getTopPadding()

  Deprecated. Replaced by `getLineBox()`

### getOwnTopPadding

    java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getLineBox()`

### getLeftBorder

    java.lang.Byte getLeftBorder()

  Deprecated. Replaced by `getLineBox()`

### getOwnLeftBorder

    java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getLineBox()`

### getLeftBorderColor

    java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getOwnLeftBorderColor

    java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getLeftPadding

    java.lang.Integer getLeftPadding()

  Deprecated. Replaced by `getLineBox()`

### getOwnLeftPadding

    java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getLineBox()`

### getBottomBorder

    java.lang.Byte getBottomBorder()

  Deprecated. Replaced by `getLineBox()`

### getOwnBottomBorder

    java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getLineBox()`

### getBottomBorderColor

    java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getOwnBottomBorderColor

    java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getBottomPadding

    java.lang.Integer getBottomPadding()

  Deprecated. Replaced by `getLineBox()`

### getOwnBottomPadding

    java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getLineBox()`

### getRightBorder

    java.lang.Byte getRightBorder()

  Deprecated. Replaced by `getLineBox()`

### getOwnRightBorder

    java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getLineBox()`

### getRightBorderColor

    java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getOwnRightBorderColor

    java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

### getRightPadding

    java.lang.Integer getRightPadding()

  Deprecated. Replaced by `getLineBox()`

### getOwnRightPadding

    java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getLineBox()`

### getRotation

    java.lang.Byte getRotation()

  Deprecated. Replaced by `getRotationValue()`.

### getOwnRotation

    java.lang.Byte getOwnRotation()

  Deprecated. Replaced by `getOwnRotationValue()`.

### getRotationValue

    RotationEnum getRotationValue()

  Gets the text rotation.

  Returns:
    a value representing one of the rotation values in the `RotationEnum`.

### getOwnRotationValue

    RotationEnum getOwnRotationValue()

  Gets the text own rotation.

  Returns:
    a value representing one of the rotation values in the `RotationEnum`.

### getLineSpacing

    java.lang.Byte getLineSpacing()

  Deprecated. Replaced by `getLineSpacingValue()`.

### getOwnLineSpacing

    java.lang.Byte getOwnLineSpacing()

  Deprecated. Replaced by `getOwnLineSpacingValue()`.

### getLineSpacingValue

    LineSpacingEnum getLineSpacingValue()

  Gets the line spacing.

  Returns:
    a value representing one of the line spacing constants in the `LineSpacingEnum`.

### getOwnLineSpacingValue

    LineSpacingEnum getOwnLineSpacingValue()

### isStyledText

    java.lang.Boolean isStyledText()

  Deprecated. Replaced by `getMarkup()`

  Returns true if the text can contain style tags.

### isOwnStyledText

    java.lang.Boolean isOwnStyledText()

  Deprecated. Replaced by `getOwnMarkup()`

### getMarkup

    java.lang.String getMarkup()

  Returns the markup language used to format the text.

### getOwnMarkup

    java.lang.String getOwnMarkup()

### getFontName

    java.lang.String getFontName()

### getOwnFontName

    java.lang.String getOwnFontName()

### isBold

    java.lang.Boolean isBold()

### isOwnBold

    java.lang.Boolean isOwnBold()

### isItalic

    java.lang.Boolean isItalic()

### isOwnItalic

    java.lang.Boolean isOwnItalic()

### isUnderline

    java.lang.Boolean isUnderline()

### isOwnUnderline

    java.lang.Boolean isOwnUnderline()

### isStrikeThrough

    java.lang.Boolean isStrikeThrough()

### isOwnStrikeThrough

    java.lang.Boolean isOwnStrikeThrough()

### getFontSize

    java.lang.Integer getFontSize()

### getOwnFontSize

    java.lang.Integer getOwnFontSize()

### getPdfFontName

    java.lang.String getPdfFontName()

### getOwnPdfFontName

    java.lang.String getOwnPdfFontName()

### getPdfEncoding

    java.lang.String getPdfEncoding()

### getOwnPdfEncoding

    java.lang.String getOwnPdfEncoding()

### isPdfEmbedded

    java.lang.Boolean isPdfEmbedded()

### isOwnPdfEmbedded

    java.lang.Boolean isOwnPdfEmbedded()

### getPattern

    java.lang.String getPattern()

  Gets the pattern used for this text field. The pattern will be used in a `SimpleDateFormat` for dates and a `DecimalFormat` for numeric text fields. The pattern format must follow one of these two classes formatting rules, as specified in the JDK API docs.

  Returns:
    a string containing the pattern.

### getOwnPattern

    java.lang.String getOwnPattern()

### isBlankWhenNull

    java.lang.Boolean isBlankWhenNull()

### isOwnBlankWhenNull

    java.lang.Boolean isOwnBlankWhenNull()

### setForecolor

    void setForecolor(java.awt.Color forecolor)

### setBackcolor

    void setBackcolor(java.awt.Color backcolor)

### setMode

    void setMode(byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`

### setMode

    void setMode(java.lang.Byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`

### setMode

    void setMode(ModeEnum mode)

### setPen

    void setPen(byte pen)

  Deprecated. Replaced by `getLinePen()`

### setPen

    void setPen(java.lang.Byte pen)

  Deprecated. Replaced by `getLinePen()`

### setFill

    void setFill(byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`

### setFill

    void setFill(java.lang.Byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`

### setFill

    void setFill(FillEnum fill)

### setRadius

    void setRadius(int radius)

### setRadius

    void setRadius(java.lang.Integer radius)

### setScaleImage

    void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

### setScaleImage

    void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

### setScaleImage

    void setScaleImage(ScaleImageEnum scaleImage)

### setHorizontalAlignment

    void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

### setHorizontalAlignment

    void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

### setHorizontalAlignment

    void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

### setVerticalAlignment

    void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

### setVerticalAlignment

    void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

### setVerticalAlignment

    void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

### setBorder

    void setBorder(byte border)

### setBorder

    void setBorder(java.lang.Byte border)

### setBorderColor

    void setBorderColor(java.awt.Color borderColor)

### setPadding

    void setPadding(int padding)

### setPadding

    void setPadding(java.lang.Integer padding)

### setTopBorder

    void setTopBorder(byte topBorder)

### setTopBorder

    void setTopBorder(java.lang.Byte topBorder)

### setTopBorderColor

    void setTopBorderColor(java.awt.Color topBorderColor)

### setTopPadding

    void setTopPadding(int topPadding)

### setTopPadding

    void setTopPadding(java.lang.Integer topPadding)

### setLeftBorder

    void setLeftBorder(byte leftBorder)

### setLeftBorder

    void setLeftBorder(java.lang.Byte leftBorder)

### setLeftBorderColor

    void setLeftBorderColor(java.awt.Color leftBorderColor)

### setLeftPadding

    void setLeftPadding(int leftPadding)

### setLeftPadding

    void setLeftPadding(java.lang.Integer leftPadding)

### setBottomBorder

    void setBottomBorder(byte bottomBorder)

### setBottomBorder

    void setBottomBorder(java.lang.Byte bottomBorder)

### setBottomBorderColor

    void setBottomBorderColor(java.awt.Color bottomBorderColor)

### setBottomPadding

    void setBottomPadding(int bottomPadding)

### setBottomPadding

    void setBottomPadding(java.lang.Integer bottomPadding)

### setRightBorder

    void setRightBorder(byte rightBorder)

### setRightBorder

    void setRightBorder(java.lang.Byte rightBorder)

### setRightBorderColor

    void setRightBorderColor(java.awt.Color rightBorderColor)

### setRightPadding

    void setRightPadding(int rightPadding)

### setRightPadding

    void setRightPadding(java.lang.Integer rightPadding)

### setRotation

    void setRotation(byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

### setRotation

    void setRotation(java.lang.Byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

### setRotation

    void setRotation(RotationEnum rotation)

### setFontName

    void setFontName(java.lang.String fontName)

### setBold

    void setBold(boolean bold)

### setBold

    void setBold(java.lang.Boolean bold)

### setItalic

    void setItalic(boolean italic)

### setItalic

    void setItalic(java.lang.Boolean italic)

### setPdfEmbedded

    void setPdfEmbedded(boolean pdfEmbedded)

### setPdfEmbedded

    void setPdfEmbedded(java.lang.Boolean pdfEmbedded)

### setStrikeThrough

    void setStrikeThrough(boolean strikeThrough)

### setStrikeThrough

    void setStrikeThrough(java.lang.Boolean strikeThrough)

### setStyledText

    void setStyledText(boolean styledText)

  Deprecated. Replaced by `setMarkup(String)`

### setStyledText

    void setStyledText(java.lang.Boolean styledText)

  Deprecated. Replaced by `setMarkup(String)`

### setMarkup

    void setMarkup(java.lang.String markup)

### setUnderline

    void setUnderline(boolean underline)

### setUnderline

    void setUnderline(java.lang.Boolean underline)

### setLineSpacing

    void setLineSpacing(byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`

### setLineSpacing

    void setLineSpacing(java.lang.Byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`

### setLineSpacing

    void setLineSpacing(LineSpacingEnum lineSpacing)

### setPattern

    void setPattern(java.lang.String pattern)

### setBlankWhenNull

    void setBlankWhenNull(boolean isBlankWhenNull)

### setBlankWhenNull

    void setBlankWhenNull(java.lang.Boolean isBlankWhenNull)

### setPdfEncoding

    void setPdfEncoding(java.lang.String pdfEncoding)

### setPdfFontName

    void setPdfFontName(java.lang.String pdfFontName)

### setFontSize

    void setFontSize(int fontSize)

### setFontSize

    void setFontSize(java.lang.Integer fontSize)

### getConditionalStyles

    JRConditionalStyle[] getConditionalStyles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com